---
title: Code Editor
icon: file-code
---

Tabbed code blocks group multiple code snippets with a language switcher.

<CodeblockTabs>

```javascript
const greeting = 'Hello, world!'
console.log(greeting)
```

```python
greeting = "Hello, world!"
print(greeting)
```

```bash
echo "Hello, world!"
```

</CodeblockTabs>

## Syntax

<CodeblockTabs>

MDX

```html
<CodeblockTabs>

(fenced code blocks with different languages)

</CodeblockTabs>
```

Markdown

```markdown
:::CodeblockTabs

(fenced code blocks with different languages)

:::
```

</CodeblockTabs>

Single code blocks use standard fenced syntax:

````
```javascript
const x = 1
```
````
